{{define "orgset"}}
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>WPlay (v0.4.7 alpha)</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.15/css/dataTables.material.min.css">
    <link rel="stylesheet" href="css/libs/font-awesome.min.css">
    <link rel="stylesheet" href="css/libs/material.min.css">
    <link rel="stylesheet" href="css/libs/materialPreloader.min.css">
    <link rel="stylesheet" href="css/orgset.css">
    <noscript><div><img src="https://mc.yandex.ru/watch/45602721" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
</head>
<body>
<div id="init-orgset_patronymics">{{.OrgSettings.Patronymics}}</div>
<div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
    <header class="mdl-layout__header">
        <div class="mdl-layout__header-row">
            <span class="mdl-layout-title">{{.OrgSettings.Organization}}</span>
        </div>
        <div class="mdl-layout__tab-bar mdl-js-ripple-effect">
            <a href="#orgset_main" class="mdl-layout__tab is-active">Основные настройки</a>
            <a href="#orgset_categories" class="mdl-layout__tab">Категории</a>
            <a href="#orgset_teams" class="mdl-layout__tab">Команды</a>
            <a href="#orgset_participants" class="mdl-layout__tab">Участники</a>
            <a href="#orgset_employees" class="mdl-layout__tab">Сотрудники</a>
            <a href="#orgset_reasons" class="mdl-layout__tab">Причины</a>
            <a href="#orgset_actions" class="mdl-layout__tab">События</a>
        </div>
    </header>
    <div class="mdl-layout__drawer">
        <span class="mdl-layout-title">управление</span>
        <nav class="mdl-navigation">
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info">главная</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/profile">профиль</a>
            {{if .IsAdmin}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/orgset">управление</a>{{end}}
            {{if .IsEmployee}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/marks">баллы</a>{{end}}
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/general">статистика</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/exit">выйти</a>
        </nav>
    </div>
    <main class="mdl-layout__content">
        <section class="mdl-layout__tab-panel is-active" id="orgset_main">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--4-col-phone mdl-cell--8-col-tablet mdl-cell--4-col-desktop mdl-cell--2-offset-desktop">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Название участника</div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--24px mdl-card__body-row--nopad">
                                <span class="mdl-card__body-row-icon fa fa-user-circle-o"></span>
                                <span class="mdl-card__body-row-text" data-content="participant">{{.OrgSettings.Participant}}</span>
                                <div class="mdl-card__body-row-actions">
                                    <button class="mdl-button mdl-button--primary mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--edit"
                                            data-content="participant">
                                        <i class="material-icons">create</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--accept mdl-card__body-row-button--off"
                                            data-content="participant">
                                        <i class="material-icons">done</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--decline mdl-card__body-row-button--off"
                                            data-content="participant">
                                        <i class="material-icons">close</i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--4-col-phone mdl-cell--8-col-tablet mdl-cell--4-col-desktop">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Название команды</div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--24px mdl-card__body-row--nopad">
                                <span class="mdl-card__body-row-icon fa fa-users"></span>
                                <span class="mdl-card__body-row-text" data-content="team">{{.OrgSettings.Team}}</span>
                                <div class="mdl-card__body-row-actions">
                                    <button class="mdl-button mdl-button--primary mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--edit"
                                            data-content="team">
                                        <i class="material-icons">create</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--accept mdl-card__body-row-button--off"
                                            data-content="team">
                                        <i class="material-icons">done</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--decline mdl-card__body-row-button--off"
                                            data-content="team">
                                        <i class="material-icons">close</i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--4-col-phone mdl-cell--8-col-tablet mdl-cell--4-col-desktop mdl-cell--2-offset-desktop">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Название организации</div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--24px mdl-card__body-row--nopad">
                                <span class="mdl-card__body-row-icon fa fa-university"></span>
                                <span class="mdl-card__body-row-text" data-content="organization">{{.OrgSettings.Organization}}</span>
                                <div class="mdl-card__body-row-actions">
                                    <button class="mdl-button mdl-button--primary mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--edit"
                                            data-content="organization">
                                        <i class="material-icons">create</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--accept mdl-card__body-row-button--off"
                                            data-content="organization">
                                        <i class="material-icons">done</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--decline mdl-card__body-row-button--off"
                                            data-content="organization">
                                        <i class="material-icons">close</i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--4-col-phone mdl-cell--8-col-tablet mdl-cell--4-col-desktop">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Название периода</div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--24px mdl-card__body-row--nopad">
                                <span class="mdl-card__body-row-icon fa fa-calendar-o"></span>
                                <span class="mdl-card__body-row-text" data-content="period">{{.OrgSettings.Period}}</span>
                                <div class="mdl-card__body-row-actions">
                                    <button class="mdl-button mdl-button--primary mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--edit"
                                            data-content="period">
                                        <i class="material-icons">create</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--accept mdl-card__body-row-button--off"
                                            data-content="period">
                                        <i class="material-icons">done</i>
                                    </button>
                                    <button class="mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect mdl-card__body-row-button--decline mdl-card__body-row-button--off"
                                            data-content="period">
                                        <i class="material-icons">close</i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--4-col-phone mdl-cell--8-col-tablet mdl-cell--4-col-desktop mdl-cell--2-offset-desktop">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Доп. настройки</div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--24px">
                                <div class="mdl-card__body-row-switch mdl-card__body-row-switch--24px" data-content="self_marks">
                                    <label class="mdl-switch mdl-js-switch mdl-js-ripple-effect" for="fc-orgset__main-self_marks">
                                        <input type="checkbox" id="fc-orgset__main-self_marks" class="mdl-switch__input" {{if eq .OrgSettings.SelfMarks "true"}}checked{{end}}>
                                        <span class="mdl-switch__label">Оценки своей команде</span>
                                    </label>
                                </div>
                            </div>
                            <div class="mdl-card__body-row mdl-card__body-row--24px">
                                <div class="mdl-card__body-row-switch mdl-card__body-row-switch--24px" data-content="patronymics">
                                    <label class="mdl-switch mdl-js-switch mdl-js-ripple-effect" for="fc-orgset__main-patronymics">
                                        <input type="checkbox" id="fc-orgset__main-patronymics" class="mdl-switch__input"
                                            {{if eq .OrgSettings.Patronymics "true"}}checked{{end}}>
                                        <span class="mdl-switch__label">Отображать отчество</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_categories">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Категории</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-categories" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                    <tr>
                                        <th>Название</th>
                                        <th>Отрицательные оценки</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--add" data-content="category">
                                <i class="material-icons">add</i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_teams">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Команды</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-teams" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Название</th>
                                    <th>Руководитель</th>
                                    <th>Кол-во участников</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--add" data-content="team">
                                <i class="material-icons">add</i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_participants">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Участники</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-participants" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Фамилия</th>
                                    <th>Имя</th>
                                    <th>Отчество</th>
                                    <th>Пол</th>
                                    <th>{{.OrgSettings.Team | toTitleCase}}</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--download" data-content="participants">
                                <i class="material-icons">cloud_download</i>
                            </button>
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--add" data-content="participant">
                                <i class="material-icons">add</i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_employees">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Сотрудники</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-employees" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Фамилия</th>
                                    <th>Имя</th>
                                    <th>Отчество</th>
                                    <th>Должность</th>
                                    <th>Пол</th>
                                    <th>{{.OrgSettings.Team | toTitleCase}}</th>
                                    <th></th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--download" data-content="employees">
                                <i class="material-icons">cloud_download</i>
                            </button>
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--add" data-content="employee">
                                <i class="material-icons">add</i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_reasons">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Причины редактирования баллов</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-reasons" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Категория</th>
                                    <th>Текст</th>
                                    <th>Изменение</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <div class="mdl-card__menu">
                            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-card__menu-button--add" data-content="reason">
                                <i class="material-icons">add</i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mdl-layout__tab-panel" id="orgset_achievements">В разработке</section>
        <section class="mdl-layout__tab-panel" id="orgset_actions">
            <div class="page-content mdl-grid">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">События</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-events" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Событие</th>
                                    <th>Дата</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
</div>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.js"></script>
<script type="text/javascript" src="scripts/libs/materialPreloader.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.material.min.js"></script>
<script type="text/javascript" src="scripts/libs/material.min.js"></script>
<script type="text/javascript" src="scripts/libs/wave_effect.js"></script>
<script type="text/javascript" src="scripts/metrica.js"></script>
<script type="text/javascript" src="scripts/links.js"></script>
<script type="text/javascript" src="scripts/main.js"></script>
<script type="text/javascript" src="scripts/orgset.js"></script>
</body>
</html>
{{end}}
